Mindomo for Adobe Connect

Downloads

Access the latest version of Mindomo in order to benefit from its features to the fullest.


Mindomo Pod Download

Requirements

Adobe Connect 9 Operating System with Adobe Flash 10.2 compatible web browser.